مدیاویکی:Mobile.css: تفاوت میان نسخه‌ها

۵۶۷ بایت اضافه‌شده ،  ‏۲۵ دسامبر ۲۰۲۱
جز
بدون خلاصۀ ویرایش
جز (اصلاح رنگ ستون سمت راست صفحه اصلی)
جزبدون خلاصۀ ویرایش
خط ۲۴: خط ۲۴:
  url('/w/resources/fonts/KFGQPCUthmanTahaNaskh.ttf')  format('truetype'),
  url('/w/resources/fonts/KFGQPCUthmanTahaNaskh.ttf')  format('truetype'),
  url('/w/resources/fonts/KFGQPCUthmanTahaNaskh.svg#KFGQPCUthmanTahaNaskh') format('svg');
  url('/w/resources/fonts/KFGQPCUthmanTahaNaskh.svg#KFGQPCUthmanTahaNaskh') format('svg');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Lotus';
  src: url('/w/resources/fonts/Lotus.eot') format('embedded-opentype');
  src: url('/w/resources/fonts/Lotus.woff') format('woff'),
  url('/w/resources/fonts/Lotus.ttf')  format('truetype'),
  url('/w/resources/fonts/Lotus.svg#Lotus') format('svg');
   font-weight: normal;
   font-weight: normal;
   font-style: normal;
   font-style: normal;
خط ۱۰۹: خط ۹۹:


/* --------------------- Begin Main Page Style ----------------- */
/* --------------------- Begin Main Page Style ----------------- */
div.clear {  
.mainPage {
clear: both;  
    display: flex;
    flex-direction: row;
}
}
.mainRight {  
.mainRight {  
    width: inherit;
display: flex;
flex-direction: column;
flex: 75%;
margin: 6px 4px;
}
}
.mainLeft {  
.mainLeft {  
    box-sizing: border-box;
box-shadow: 0 0 0.3rem #999;
    width: 25%; float: right;
border-radius: 0.2rem;
    background: #f5faff none repeat scroll 0 0;
padding: 1.2rem;
    border: 1px solid #a7d7f9;
flex: 25%;
    border-radius: 0.5em;
margin: 6px 4px;
    padding: 0 1em 1em;
    margin-bottom: 1em;
}
}


.selectedArticle {  
.selectedArticle {  
width: 100%;  
box-shadow: 0 0 0.3rem #999;
height: auto;  
border-radius: 0.2rem;
text-align: justify !important;  
padding: 1.2rem;
margin-bottom: 20px;
margin: 4px 0px;
}
 
.helpBox{
line-height: 2em;
box-shadow: 0 0 0.3rem #999;
border-radius: 0.2rem;
padding: 1.2rem;
margin-bottom: 1.6rem;
}
}


خط ۱۳۵: خط ۱۳۷:
padding: 10px;
padding: 10px;
border-radius: 2px;
border-radius: 2px;
background: rgba(0,0,0,0) linear-gradient(to left,#c6dffe,#e0f4f2,#00ff2812) repeat scroll 0 0 !important;
margin: 0 0 20px 0;
margin: 15px 0 20px 0;
box-shadow: 0 0 0.3rem #999;
border-right: 5px solid #a3c2e8;
}
 
.mainRight .boxHeader {
    background: rgba(0,0,0,0) linear-gradient(to left,#c6dffe,#e0f4f2,#00ff2812) repeat scroll 0 0 !important;
    margin-top: 0;
}
}


.boxHeader span {  
.boxHeader span {  
padding-right: 45px;  
padding-right: 45px;  
font: 1.03em samim;
position: relative;
position: relative;
}
}


.boxTitle {
.boxTitle {
    background: rgba(0,0,0,0) linear-gradient(to left,#c6dffe,#e0f4f2,#00ff2812) repeat scroll 0 0 !important;
     padding: 5px;
     padding: 5px;
     border-radius: 2px;
     border-radius: 2px;
     margin: 15px 0 20px 0;
     margin: 15px 0 20px 0;
border-bottom: solid 0.2rem #bdd8fb;
}
}


.selectedArticle .boxHeader span:before, .newestArticles .boxHeader span:before,
.selectedArticle .boxHeader span:before,.boxHeader span:before,
.topArticles .boxHeader span:before, .helpBox  .boxHeader span:before,
.topArticles .boxHeader span:before, .boxHeader span:before {
.telegram .boxHeader span:before {
     width: 43px;
     width: 43px;
     height: 43px;
     height: 43px;
خط ۱۷۰: خط ۱۶۶:
.selectedArticle .boxHeader span:before {
.selectedArticle .boxHeader span:before {
     background: url('/w/resources/assets/favorite.png') no-repeat center center;
     background: url('/w/resources/assets/favorite.png') no-repeat center center;
}
.newestArticles .boxHeader span:before {
    background: url('/w/resources/assets/new.png') no-repeat center center;
}
}


خط ۱۸۰: خط ۱۷۲:
}
}


.helpBox .boxHeader span:before {
.topArticles {  
    background: url('/w/resources/assets/help.png') no-repeat center center;
}
 
.newestArticles, .topArticles {  
width: 100%;  
width: 100%;  
height: auto;  
height: auto;  
خط ۱۹۰: خط ۱۷۸:
}
}


.newestArticles ol {  
.readmoreButton {
margin: 10px 10px 0 0;  
box-shadow: 0 0 0.3rem #999;
padding: 0; text-align: right !important;
display: inline-block;
}
min-width: 4em;
 
max-width: 28.75em;
.newestArticles ol li {
padding: 0.546875em 1em;
list-style: none;  
line-height: 1.286;
}
box-sizing: border-box;
 
vertical-align: middle;
.newestArticles ol li:before {
text-align: center;
    content: "";
font-weight: bold;
    line-height: 1em;
cursor: pointer;
    width: 5px;
border-radius: 0.2rem;
    height: 5px;
margin: 5px 0 0 0;
    background-color: #00528C;
font-family: inherit;
    float: right;
font-size: 1em;
    margin: 7px 0 0 7px;
    border-radius: 50%;
}
}
/* --------------------- End Main Page Style ----------------- */
/* --------------------- End Main Page Style ----------------- */


/* --------------------- Begin Main Page Style ----------------- */
/* to prevent double welcome! */
/* to prevent double welcome! */
.page-Main_Page #section_0 { display: none }
.page-Main_Page #section_0 { display: none }


/* Mobile template hacks (see bug 54176) */
/**
.mobile-float-reset {
You are editing the global css file for all mobile site users.
    float: none !important;
With Great Power Comes Great Responsibility.
    width: 100% !important;
 
Some words of caution:
* Avoid any changes which impact layout on a mobile device.
** Please be careful not to introduce any margin / padding rules. These should be done inside the template itself via an inline style.
** Be especially cautious when a template is likely to be used within the top 480px of the screen (the content that the user will see first on a mobile device).
* Do not use display:none. Instead edit the template and markup the element you want to hide with the `nomobile` class.
* Try to keep rules as generic and minimal as possible. Do not have 2 selectors doing the same thing. Introduce a common class and use that instead.
* For big changes consult the [https://grafana.wikimedia.org/dashboard/db/mobile-2g grafana dashboard] to ensure you don't introduce any performance regressions.
* Group common css rules together where possible.
 
If you are looking for .mobile-float-reset (see [[:phab:T56176]]), use TemplateStyles instead.
.mobile-float-reset {  
float: none !important;  
width: 100% !important;   
*/
 
/* Hide the images */
.geo-nondefault, .geo-multi-punct,
/* Hide stuff meant for accounts with special permissions. Made visible again in
  [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-patroller.css]] and
  [[MediaWiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.sysop-show,
.templateeditor-show,
.extendedmover-show,
.patroller-show,
.extendedconfirmed-show,
.autoconfirmed-show,
/* Copied from Common.css - allow for hiding text in compact form e.g. clean up templates */
.hide-when-compact,
/* portal pages are badly formatted. Until this changes these should be hidden. (see https://phabricator.wikimedia.org/T86495) */
.noprint.portal {
display: none;
}
 
/*
.infobox
DO NOT style infobox's here. That should be taken care of in the associated templates via template styles. Styles here will lead to flash of unstyled content on mobile.
*/
/* removed inline from module as we work toward Tstyles support
* Use three classes to match specificity of MobileFrontend/Minerva selectors */
.content .mw-parser-output .infobox-header,
.content .mw-parser-output .infobox-subheader,
.content .mw-parser-output .infobox-above,
.content .mw-parser-output .infobox-title,
.content .mw-parser-output .infobox-image,
.content .mw-parser-output .infobox-full-data,
.content .mw-parser-output .infobox-below {
text-align: center;
}
}


خط ۳۲۳: خط ۳۵۹:
}
}
/* Generate interpuncts */
/* Generate interpuncts */
#content .hlist dt:after {
#bodyContent .hlist dt:after {
     content: ":";
     content: ":";
}
}
#content .hlist dd:after,
#bodyContent .hlist dd:after,
#content .hlist li:after {
#bodyContent .hlist li:after {
     content: " ·";
     content: " ·";
     font-weight: bold;
     font-weight: bold;
خط ۴۹۹: خط ۵۳۵:
}
}


/* Remove this when mobile page creation goes out of beta */
/* To changing arabic numeral format in all oredred lists to persian numeral format on Mobile View */
.stub {
#content ol {
    display: none;
  list-style-type:-moz-persian !important; /* To override some codes that avoids this one to be used on Mozilla Firefox */
}
  list-style-type:persian;
 
/* Left float infobox */
table.infobox {
    margin: 0.5em 1em 35px 0 !important;
    max-width: 320px;
    width: auto !important;
    float: left !important;
    clear: left !important;
}
 
 
/* === Collapsible elements. Toggle-link moved to left. ===
/* Margin around it adjusted.
/* https://community.fandom.com/wiki/Thread:1104268
/* https://community.wikia.com/wiki/Thread:499656
/* https://community.wikia.com/wiki/Help:Collapsing
/* https://cannabis.wikia.com/wiki/MediaWiki:Wikia.css */
 
.mw-collapsible span.mw-collapsible-toggle {
    float:left;
    margin-left:0;
    margin-right:1em;
}
 
.im-answer-title {
border: none;
}
 
.im-answer-content {
padding:4px;
display: block;
border: solid 1px #f5f2f0;
background-color: #f8f9fa;
}
 
.im-personal-title, .im-personal-content{
font-family: Lotus;
font-size: 16px;
}
 
.related-article-list{
margin: 0;
}
}


.related-article-item {
.mw-ui-icon:before { top: 0; }
display: inline-block;
padding-left: 3px;
}


/* Hide the images */
/* عدم نمایش زیرعنوان واکشی شده از ویکی‌داده که در صفحه‌های قفل شده سوژهٔ خرابکاری و
.geo-nondefault, .geo-multi-punct,
باعث پیدا شدن شیوه‌ای برای انجام خرابکاری شده است تا یافتن راه‌حل بهتر */
/* Hide stuff meant for accounts with special permissions. Made visible again in
.ns-0 .page-heading div { display: none; }
  [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-patroller.css]] and
/* --------------------- End Font Style ----------------- */
  [[MediaWiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.sysop-show,
.templateeditor-show,
.extendedmover-show,
.patroller-show,
.extendedconfirmed-show,
.autoconfirmed-show,
/* Copied from Common.css - allow for hiding text in compact form e.g. clean up templates */
.hide-when-compact,
/* portal pages are badly formatted. Until this changes these should be hidden. (see https://phabricator.wikimedia.org/T86495) */
.noprint.portal {
display: none;
}
۴۱۵٬۰۷۸

ویرایش